autoheader
touch stamp-h

if [ -d /usr/local/share/aclocal ]; then
   ACLOCAL_PARAMS="-I /usr/local/share/aclocal"
   echo "Using aclocal -I /usr/local/share/aclocal"
else
   ACLOCAL_PARAMS=""
   echo "Using aclocal"
fi
aclocal $ACLOCAL_PARAMS

autoconf

echo -n "checking for libtool... "
for LIBTOOLIZE in libtoolize glibtoolize nope; do
  ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 && break
done
if test x$LIBTOOLIZE = xnope; then
  echo "nope."
  echo "  **** You must install a working version of libtool ****"
  LIBTOOLIZE=libtoolize
else
  echo $LIBTOOLIZE
fi

echo -n "checking for pkg-config... "
for PKGCONFIGPROG in pkg-config nope; do
  ($PKGCONFIGPROG --version) < /dev/null > /dev/null 2>&1 && break
done
if test x$PKGCONFIGPROG = xnope; then
  echo "nope. "
  echo "  **** You must install a working version of pkg-config ****"
else
  echo "found. "
fi

$LIBTOOLIZE --automake
automake -a
