#ifndef _CLIENTSERVICE_H_
#define _CLIENTSERVICE_H_

#include <ace/SOCK_Stream.h>
#include <ace/Svc_Handler.h>

class ClientService :
	public ACE_Svc_Handler<ACE_SOCK_STREAM, ACE_NULL_SYNCH>
{
	typedef ACE_Svc_Handler<ACE_SOCK_STREAM, ACE_NULL_SYNCH> super;
	
	public :
		int open(void * = 0);
		
		virtual int handle_input(ACE_HANDLE fd = ACE_INVALID_HANDLE);
		virtual int handle_output(ACE_HANDLE fd = ACE_INVALID_HANDLE);
		virtual int handle_close(	ACE_HANDLE handle, 
									ACE_Reactor_Mask close_mask);
};

#endif //_CLIENTSERVICE_H_
